#!/usr/bin/env python
#coding: utf-8

# lnames.py - language names class for SAPI Book Reader
# Copyright (C) Bohdan R. Rau 2013 <ethanak@polip.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this program.  If not, write to:
# 	The Free Software Foundation, Inc.,
# 	51 Franklin Street, Fifth Floor
# 	Boston, MA  02110-1301, USA.

"""
Language names are got from Microsoft!
"""

import locale

_language_names={
'ar':{'el':u"اليونانية",'en':u"الإنكليزية",'vi':u"الفيتنامية",'ca':u"الكتالانية",'it':u"الإيطالية",'iw':u"العبرية",'ar':u"العربية",'cs':u"التشيكية",'et':u"الإستونية",'id':u"الإندونيسية",'es':u"الإسبانية",'ru':u"الروسية",'nl':u"الهولندية",'pt':u"البرتغالية",'no':u"النرويجية",'tr':u"التركية",'lv':u"اللاتفية",'lt':u"الليتوانية",'th':u"التايلندية",'ro':u"الرومانية",'pl':u"البولندية",'fr':u"الفرنسية",'bg':u"البلغارية",'uk':u"الأوكرانية",'de':u"الألمانية",'ht':u"هايتي",'da':u"الدانماركية",'fa':u"فارسي",'hi':u"الهندية",'fi':u"الفنلندية",'hu':u"المجرية",'ja':u"اليابانية",'zh-TW':u"الصينية التقليدية",'ko':u"الكورية",'sv':u"السويدية",'ur':u"الأوردية",'sk':u"السلوفاكية",'zh-CN':u"الصينية المبسطة",'ms':u"الماليزية",'sl':u"السلوفينية"},
'bg':{'el':u"Гръцки",'en':u"Английски",'vi':u"Виетнамски",'ca':u"Каталонски",'it':u"Италиански",'iw':u"Иврит",'ar':u"Арабски",'cs':u"Чешки",'et':u"Естонски",'id':u"Индонезийски",'es':u"Испански",'ru':u"Руски",'nl':u"Холандски",'pt':u"Португалски",'no':u"Норвежки",'tr':u"Турски",'lv':u"Латвийски",'lt':u"Литовски",'th':u"Тайландски",'ro':u"Румънски",'pl':u"Полски",'fr':u"Френски",'bg':u"Български",'uk':u"Украински",'de':u"Немски",'ht':u"Хаитянски",'da':u"Датски",'fa':u"Персийски",'hi':u"Хинди",'fi':u"Финландски",'hu':u"Унгарски",'ja':u"Японски",'zh-TW':u"Традиционен китайски",'ko':u"Корейски",'sv':u"Шведски",'ur':u"Урду",'sk':u"Словашки",'zh-CN':u"Опростен китайски",'ms':u"Малайски",'sl':u"Словенски"},
'ca':{'el':u"Grec",'en':u"Anglès",'vi':u"Vietnamita",'ca':u"Català",'it':u"Italià",'iw':u"Hebreu",'ar':u"Àrab",'cs':u"Txec",'et':u"Estonià",'id':u"Indonesi",'es':u"Espanyol",'ru':u"Rus",'nl':u"Neerlandès",'pt':u"Portuguès",'no':u"Noruec",'tr':u"Turc",'lv':u"Letó",'lt':u"Lituà",'th':u"Tailandès",'ro':u"Romanès",'pl':u"Polonès",'fr':u"Francès",'bg':u"Búlgar",'uk':u"Ucraïnès",'de':u"Alemany",'ht':u"Crioll haitià",'da':u"Danès",'fa':u"Persa",'hi':u"Hindi",'fi':u"Finès",'hu':u"Hongarès",'ja':u"Japonès",'zh-TW':u"Xinès tradicional",'ko':u"Coreà",'sv':u"Suec",'ur':u"Urdú",'sk':u"Eslovac",'zh-CN':u"Xinès simplificat",'ms':u"Malai",'sl':u"Eslovè"},
'cs':{'el':u"Řečtina",'en':u"Angličtina",'vi':u"Vietnamština",'ca':u"Katalánština",'it':u"Italština",'iw':u"Hebrejština",'ar':u"Arabština",'cs':u"Čeština",'et':u"Estonština",'id':u"Indonéština",'es':u"Španělština",'ru':u"Ruština",'nl':u"Holandština",'pt':u"Portugalština",'no':u"Norština",'tr':u"Turečtina",'lv':u"Lotyština",'lt':u"Litevština",'th':u"Thajština",'ro':u"Rumunština",'pl':u"Polština",'fr':u"Francouzština",'bg':u"Bulharština",'uk':u"Ukrajinština",'de':u"Němčina",'ht':u"Haitská kreolština",'da':u"Dánština",'fa':u"Perština",'hi':u"Hindština",'fi':u"Finština",'hu':u"Maďarština",'ja':u"Japonština",'zh-TW':u"Tradiční čínština",'ko':u"Korejština",'sv':u"Švédština",'ur':u"Urdština",'sk':u"Slovenština",'zh-CN':u"Zjednodušená čínština",'ms':u"Malajština",'sl':u"Slovinština"},
'da':{'el':u"Græsk",'en':u"Engelsk",'vi':u"Vietnamesisk",'ca':u"Catalansk",'it':u"Italiensk",'iw':u"Hebraisk",'ar':u"Arabisk",'cs':u"Tjekkisk",'et':u"Estisk",'id':u"Indonesisk",'es':u"Spansk",'ru':u"Russisk",'nl':u"Nederlandsk",'pt':u"Portugisisk",'no':u"Norsk",'tr':u"Tyrkisk",'lv':u"Lettisk",'lt':u"Litauisk",'th':u"Thai",'ro':u"Rumænsk",'pl':u"Polsk",'fr':u"Fransk",'bg':u"Bulgarsk",'uk':u"Ukrainsk",'de':u"Tysk",'ht':u"Haitiansk",'da':u"Dansk",'fa':u"Persisk",'hi':u"Hindi",'fi':u"Finsk",'hu':u"Ungarsk",'ja':u"Japansk",'zh-TW':u"Kinesisk, traditionelt",'ko':u"Koreansk",'sv':u"Svensk",'ur':u"Urdu",'sk':u"Slovakisk",'zh-CN':u"Kinesisk, forenklet",'ms':u"Malaysisk",'sl':u"Slovensk"},
'de':{'el':u"Griechisch",'en':u"Englisch",'vi':u"Vietnamesisch",'ca':u"Katalanisch",'it':u"Italienisch",'iw':u"Hebräisch",'ar':u"Arabisch",'cs':u"Tschechisch",'et':u"Estnisch",'id':u"Indonesisch",'es':u"Spanisch",'ru':u"Russisch",'nl':u"Niederländisch",'pt':u"Portugiesisch",'no':u"Norwegisch",'tr':u"Türkisch",'lv':u"Lettisch",'lt':u"Litauisch",'th':u"Thailändisch",'ro':u"Rumänisch",'pl':u"Polnisch",'fr':u"Französisch",'bg':u"Bulgarisch",'uk':u"Ukrainisch",'de':u"Deutsch",'ht':u"Haitianisch",'da':u"Dänisch",'fa':u"Persisch",'hi':u"Hindi",'fi':u"Finnisch",'hu':u"Ungarisch",'ja':u"Japanisch",'zh-TW':u"Chinesisch (Traditionell)",'ko':u"Koreanisch",'sv':u"Schwedisch",'ur':u"Urdu",'sk':u"Slowakisch",'zh-CN':u"Chinesisch (Vereinfacht)",'ms':u"Malaiisch",'sl':u"Slowenisch"},
'el':{'el':u"Ελληνικά",'en':u"Αγγλικά",'vi':u"Βιετναμικά",'ca':u"Καταλανικά",'it':u"Ιταλικά",'iw':u"Εβραϊκά",'ar':u"Αραβικά",'cs':u"Τσεχικά",'et':u"Εσθονικά",'id':u"Ινδονησιακά",'es':u"Ισπανικά",'ru':u"Ρωσικά",'nl':u"Ολλανδικά",'pt':u"Πορτογαλικά",'no':u"Νορβηγικά",'tr':u"Τουρκικά",'lv':u"Λετονικά",'lt':u"Λιθουανικά",'th':u"Ταϊλανδικά",'ro':u"Ρουμανικά",'pl':u"Πολωνικά",'fr':u"Γαλλικά",'bg':u"Βουλγαρικά",'uk':u"Ουκρανικά",'de':u"Γερμανικά",'ht':u"γλώσσα Αϊτής",'da':u"Δανικά",'fa':u"Περσικά",'hi':u"Χίντι",'fi':u"Φινλανδικά",'hu':u"Ουγγρικά",'ja':u"Ιαπωνικά",'zh-TW':u"Κινεζικά (Πα)",'ko':u"Κορεατικά",'sv':u"Σουηδικά",'ur':u"Ουρντού",'sk':u"Σλοβακικά",'zh-CN':u"Κινεζικά (Απ)",'ms':u"Μαλαϊκά",'sl':u"Σλοβενικά"},
'en':{'el':u"Greek",'en':u"English",'vi':u"Vietnamese",'ca':u"Catalan",'it':u"Italian",'iw':u"Hebrew",'ar':u"Arabic",'cs':u"Czech",'et':u"Estonian",'id':u"Indonesian",'es':u"Spanish",'ru':u"Russian",'nl':u"Dutch",'pt':u"Portuguese",'no':u"Norwegian",'tr':u"Turkish",'lv':u"Latvian",'lt':u"Lithuanian",'th':u"Thai",'ro':u"Romanian",'pl':u"Polish",'fr':u"French",'bg':u"Bulgarian",'uk':u"Ukrainian",'de':u"German",'ht':u"Haitian Creole",'da':u"Danish",'fa':u"Persian",'hi':u"Hindi",'fi':u"Finnish",'hu':u"Hungarian",'ja':u"Japanese",'zh-TW':u"Chinese Traditional",'ko':u"Korean",'sv':u"Swedish",'ur':u"Urdu",'sk':u"Slovak",'zh-CN':u"Chinese Simplified",'ms':u"Malay",'sl':u"Slovenian"},
'es':{'el':u"Griego",'en':u"Inglés",'vi':u"Vietnamita",'ca':u"Catalán",'it':u"Italiano",'iw':u"Hebreo",'ar':u"Árabe",'cs':u"Checo",'et':u"Estonio",'id':u"Indonesio",'es':u"Español",'ru':u"Ruso",'nl':u"Holandés",'pt':u"Portugués",'no':u"Noruego",'tr':u"Turco",'lv':u"Letón",'lt':u"Lituano",'th':u"Tailandés",'ro':u"Rumano",'pl':u"Polaco",'fr':u"Francés",'bg':u"Búlgaro",'uk':u"Ucraniano",'de':u"Alemán",'ht':u"Criollo Haitiano",'da':u"Danés",'fa':u"Persa",'hi':u"Hindi",'fi':u"Finlandés",'hu':u"Húngaro",'ja':u"Japonés",'zh-TW':u"Chino tradicional",'ko':u"Coreano",'sv':u"Sueco",'ur':u"Urdu",'sk':u"Eslovaco",'zh-CN':u"Chino simplificado",'ms':u"Malayo",'sl':u"Esloveno"},
'et':{'el':u"Kreeka",'en':u"Inglise",'vi':u"Vietnami",'ca':u"Katalaani",'it':u"Itaalia",'iw':u"Heebrea",'ar':u"Araabia",'cs':u"Tšehhi",'et':u"Eesti",'id':u"Indoneesia",'es':u"Hispaania",'ru':u"Vene",'nl':u"Hollandi",'pt':u"Portugali",'no':u"Norra",'tr':u"Türgi",'lv':u"Läti",'lt':u"Leedu",'th':u"Tai",'ro':u"Rumeenia",'pl':u"Poola",'fr':u"Prantsuse",'bg':u"Bulgaaria",'uk':u"Ukraina",'de':u"Saksa",'ht':u"Haiti kreooli",'da':u"Taani",'fa':u"Pärsia",'hi':u"Hindi",'fi':u"Soome",'hu':u"Ungari",'ja':u"Jaapani",'zh-TW':u"Traditsiooniline hiina",'ko':u"Korea",'sv':u"Rootsi",'ur':u"Urdu",'sk':u"Slovaki",'zh-CN':u"Lihtsustatud hiina",'ms':u"Malai",'sl':u"Sloveeni"},
'fa':{'el':u"Greek",'en':u"English",'vi':u"Vietnamese",'ca':u"Catalan",'it':u"Italian",'iw':u"Hebrew",'ar':u"Arabic",'cs':u"Czech",'et':u"Estonian",'id':u"Indonesian",'es':u"Spanish",'ru':u"Russian",'nl':u"Dutch",'pt':u"Portuguese",'no':u"Norwegian",'tr':u"Turkish",'lv':u"Latvian",'lt':u"Lithuanian",'th':u"Thai",'ro':u"Romanian",'pl':u"Polish",'fr':u"French",'bg':u"Bulgarian",'uk':u"Ukrainian",'de':u"German",'ht':u"Haitian Creole",'da':u"Danish",'fa':u"Persian",'hi':u"Hindi",'fi':u"Finnish",'hu':u"Hungarian",'ja':u"Japanese",'zh-TW':u"Chinese Traditional",'ko':u"Korean",'sv':u"Swedish",'ur':u"Urdu",'sk':u"Slovak",'zh-CN':u"Chinese Simplified",'ms':u"Malay",'sl':u"Slovenian"},
'fi':{'el':u"Kreikka",'en':u"Englanti",'vi':u"Vietnam",'ca':u"Katalaani",'it':u"Italia",'iw':u"Heprea",'ar':u"Arabia",'cs':u"Tšekki",'et':u"Viro",'id':u"Indonesia",'es':u"Espanja",'ru':u"Venäjä",'nl':u"Hollanti",'pt':u"Portugali",'no':u"Norja",'tr':u"Turkki",'lv':u"Latvia",'lt':u"Liettua",'th':u"Thai",'ro':u"Romania",'pl':u"Puola",'fr':u"Ranska",'bg':u"Bulgaria",'uk':u"Ukraina",'de':u"Saksa",'ht':u"Haitin kieli",'da':u"Tanska",'fa':u"Persia",'hi':u"Hindi",'fi':u"Suomi",'hu':u"Unkari",'ja':u"Japani",'zh-TW':u"Perinteinen kiina",'ko':u"Korea",'sv':u"Ruotsi",'ur':u"Urdu",'sk':u"Slovakki",'zh-CN':u"Yksinkertaistettu kiina",'ms':u"Malaiji",'sl':u"Sloveeni"},
'fr':{'el':u"Grec",'en':u"Anglais",'vi':u"Vietnamien",'ca':u"Catalan",'it':u"Italien",'iw':u"Hébreu",'ar':u"Arabe",'cs':u"Tchèque",'et':u"Estonien",'id':u"Indonésien",'es':u"Espagnol",'ru':u"Russe",'nl':u"Néerlandais",'pt':u"Portugais",'no':u"Norvégien",'tr':u"Turc",'lv':u"Letton",'lt':u"Lituanien",'th':u"Thaï",'ro':u"Roumain",'pl':u"Polonais",'fr':u"Français",'bg':u"Bulgare",'uk':u"Ukrainien",'de':u"Allemand",'ht':u"Haïtien",'da':u"Danois",'fa':u"Perse",'hi':u"Hindi",'fi':u"Finnois",'hu':u"Hongrois",'ja':u"Japonais",'zh-TW':u"Chinois traditionnel",'ko':u"Coréen",'sv':u"Suédois",'ur':u"Urdu",'sk':u"Slovaque",'zh-CN':u"Chinois simplifié",'ms':u"Malaisien",'sl':u"Slovène"},
'iw':{'el':u"יוונית",'en':u"אנגלית",'vi':u"וייטנאמית",'ca':u"קטלונית",'it':u"איטלקית",'iw':u"עברית",'ar':u"ערבית",'cs':u"צ\'כית",'et':u"אסטונית",'id':u"אינדונזית",'es':u"ספרדית",'ru':u"רוסית",'nl':u"הולנדית",'pt':u"פורטוגזית",'no':u"נורווגית",'tr':u"טורקית",'lv':u"לטבית",'lt':u"ליטאית",'th':u"תאילנדית",'ro':u"רומנית",'pl':u"פולנית",'fr':u"צרפתית",'bg':u"בולגרית",'uk':u"אוקראינית",'de':u"גרמנית",'ht':u"האיטית",'da':u"דנית",'fa':u"פרסית",'hi':u"הינדי",'fi':u"פינית",'hu':u"הונגרית",'ja':u"יפנית",'zh-TW':u"סינית מסורתית",'ko':u"קוריאנית",'sv':u"שוודית",'ur':u"אורדו",'sk':u"סלובקית",'zh-CN':u"סינית פשוטה",'ms':u"מלאית",'sl':u"סלובנית"},
'hi':{'el':u"यूनानी",'en':u"अंग्रेज़ी",'vi':u"वियतनामी",'ca':u"कातलान",'it':u"इटैलियन",'iw':u"हिब्रू",'ar':u"अरबी",'cs':u"चेक",'et':u"एस्टोनियाई",'id':u"इंडोनेशियाई",'es':u"स्पैनिश",'ru':u"रूसी",'nl':u"डच",'pt':u"पुर्तगाली",'no':u"नॉर्वेजियन",'tr':u"तुर्की",'lv':u"लातवियाई",'lt':u"लिथुआनियाई",'th':u"थाई",'ro':u"रोमानियाई",'pl':u"पोलिश",'fr':u"फ़्रेंच",'bg':u"बल्गारिया",'uk':u"यूक्रेनियाई",'de':u"जर्मन",'ht':u"हैतियन क्रियोल",'da':u"डैनिश",'fa':u"फ़ारसी",'hi':u"हिंदी",'fi':u"फ़िनिश",'hu':u"हंगेरियन",'ja':u"जापानी",'zh-TW':u"चीनी पारंपरिक",'ko':u"कोरियाई",'sv':u"स्वीडिश",'ur':u"उर्दू",'sk':u"स्लोवाक",'zh-CN':u"चीनी सरलीकृत",'ms':u"मलय",'sl':u"स्लोवेनियाई"},
'ht':{'el':u"Greek",'en':u"English",'vi':u"Vietnamese",'ca':u"Catalan",'it':u"Italian",'iw':u"Hebrew",'ar':u"Arabic",'cs':u"Czech",'et':u"Estonian",'id':u"Indonesian",'es':u"Spanish",'ru':u"Russian",'nl':u"Dutch",'pt':u"Portuguese",'no':u"Norwegian",'tr':u"Turkish",'lv':u"Latvian",'lt':u"Lithuanian",'th':u"Thai",'ro':u"Romanian",'pl':u"Polish",'fr':u"French",'bg':u"Bulgarian",'uk':u"Ukrainian",'de':u"German",'ht':u"Haitian Creole",'da':u"Danish",'fa':u"Persian",'hi':u"Hindi",'fi':u"Finnish",'hu':u"Hungarian",'ja':u"Japanese",'zh-TW':u"Chinese Traditional",'ko':u"Korean",'sv':u"Swedish",'ur':u"Urdu",'sk':u"Slovak",'zh-CN':u"Chinese Simplified",'ms':u"Malay",'sl':u"Slovenian"},
'hu':{'el':u"Görög",'en':u"Angol",'vi':u"Vietnami",'ca':u"Katalán",'it':u"Olasz",'iw':u"Héber",'ar':u"Arab",'cs':u"Cseh",'et':u"Észt",'id':u"Indonéz",'es':u"Spanyol",'ru':u"Orosz",'nl':u"Holland",'pt':u"Portugál",'no':u"Norvég",'tr':u"Török",'lv':u"Lett",'lt':u"Litván",'th':u"Thai",'ro':u"Román",'pl':u"Lengyel",'fr':u"Francia",'bg':u"Bolgár",'uk':u"Ukrán",'de':u"Német",'ht':u"Haiti kreol",'da':u"Dán",'fa':u"Perzsa",'hi':u"Hindi",'fi':u"Finn",'hu':u"Magyar",'ja':u"Japán",'zh-TW':u"Kínai (hagyományos)",'ko':u"Koreai",'sv':u"Svéd",'ur':u"Urdu",'sk':u"Szlovák",'zh-CN':u"Kínai (egyszerűsített)",'ms':u"Maláj",'sl':u"Szlovén"},
'id':{'el':u"Yunani",'en':u"Inggris",'vi':u"Vietnam",'ca':u"Catalan",'it':u"Italia",'iw':u"Ibrani",'ar':u"Arab",'cs':u"Ceko",'et':u"Estonia",'id':u"Indonesia",'es':u"Spanyol",'ru':u"Rusia",'nl':u"Belanda",'pt':u"Portugis",'no':u"Norwegia",'tr':u"Turki",'lv':u"Latvia",'lt':u"Lithuania",'th':u"Thai",'ro':u"Rumania",'pl':u"Polandia",'fr':u"Prancis",'bg':u"Bulgaria",'uk':u"Ukraina",'de':u"Jerman",'ht':u"Haitian Creole",'da':u"Denmark",'fa':u"Farsi",'hi':u"Hindi",'fi':u"Finlandia",'hu':u"Hongaria",'ja':u"Jepang",'zh-TW':u"Cina Tradisional",'ko':u"Korea",'sv':u"Swedia",'ur':u"Urdu",'sk':u"Slovakia",'zh-CN':u"Cina Sederhana",'ms':u"Melayu",'sl':u"Slovenia"},
'it':{'el':u"Greco",'en':u"Inglese",'vi':u"Vietnamita",'ca':u"Catalano",'it':u"Italiano",'iw':u"Ebraico",'ar':u"Arabo",'cs':u"Ceco",'et':u"Estone",'id':u"Indonesiano",'es':u"Spagnolo",'ru':u"Russo",'nl':u"Olandese",'pt':u"Portoghese",'no':u"Norvegese",'tr':u"Turco",'lv':u"Lettone",'lt':u"Lituano",'th':u"Tailandese",'ro':u"Rumeno",'pl':u"Polacco",'fr':u"Francese",'bg':u"Bulgaro",'uk':u"Ucraino",'de':u"Tedesco",'ht':u"Haitiano",'da':u"Danese",'fa':u"Farsi",'hi':u"Hindi",'fi':u"Finlandese",'hu':u"Ungherese",'ja':u"Giapponese",'zh-TW':u"Cinese tradizionale",'ko':u"Coreano",'sv':u"Svedese",'ur':u"Urdu",'sk':u"Slovacco",'zh-CN':u"Cinese semplificato",'ms':u"Malese",'sl':u"Sloveno"},
'ja':{'el':u"ギリシャ語",'en':u"英語",'vi':u"ベトナム語",'ca':u"カタロニア語",'it':u"イタリア語",'iw':u"ヘブライ語",'ar':u"アラビア語",'cs':u"チェコ語",'et':u"エストニア語",'id':u"インドネシア語",'es':u"スペイン語",'ru':u"ロシア語",'nl':u"オランダ語",'pt':u"ポルトガル語",'no':u"ノルウェー語",'tr':u"トルコ語",'lv':u"ラトビア語",'lt':u"リトアニア語",'th':u"タイ語",'ro':u"ルーマニア語",'pl':u"ポーランド語",'fr':u"フランス語",'bg':u"ブルガリア語",'uk':u"ウクライナ語",'de':u"ドイツ語",'ht':u"ハイチ語",'da':u"デンマーク語",'fa':u"ペルシャ語",'hi':u"ヒンディー語",'fi':u"フィンランド語",'hu':u"ハンガリー語",'ja':u"日本語",'zh-TW':u"繁体字中国語",'ko':u"韓国語",'sv':u"スウェーデン語",'ur':u"ウルドゥ語",'sk':u"スロバキア語",'zh-CN':u"簡体字中国語",'ms':u"マレー語",'sl':u"スロベニア語"},
'ko':{'el':u"그리스어",'en':u"영어",'vi':u"베트남어",'ca':u"카탈로니아어",'it':u"이탈리아어",'iw':u"히브리어",'ar':u"아랍어",'cs':u"체코어",'et':u"에스토니아어",'id':u"인도네시아어",'es':u"스페인어",'ru':u"러시아어",'nl':u"네덜란드어",'pt':u"포르투갈어",'no':u"노르웨이어",'tr':u"터키어",'lv':u"라트비아어",'lt':u"리투아니아어",'th':u"태국어",'ro':u"루마니아어",'pl':u"폴란드어",'fr':u"프랑스어",'bg':u"불가리어",'uk':u"우크라이나어",'de':u"독일어",'ht':u"아이티어",'da':u"덴마크어",'fa':u"페르시아어",'hi':u"힌디어",'fi':u"핀란드어",'hu':u"헝가리어",'ja':u"일본어",'zh-TW':u"중국어 번체",'ko':u"한국어",'sv':u"스웨덴어",'ur':u"우르두어",'sk':u"슬로바키아어",'zh-CN':u"중국어 간체",'ms':u"말레이어",'sl':u"슬로베니아어"},
'lt':{'el':u"Graikų",'en':u"Anglų",'vi':u"Vietnamiečių",'ca':u"Katalonų",'it':u"Italų",'iw':u"Hebrajų",'ar':u"Arabų",'cs':u"Čekų",'et':u"Estų",'id':u"Indoneziečių",'es':u"Ispanų",'ru':u"Rusų",'nl':u"Olandų",'pt':u"Portugalų",'no':u"Norvegų",'tr':u"Turkų",'lv':u"Latvių",'lt':u"Lietuvių",'th':u"Tajų",'ro':u"Rumunų",'pl':u"Lenkų",'fr':u"Prancūzų",'bg':u"Bulgarų",'uk':u"Ukrainiečių",'de':u"Vokiečių",'ht':u"Haičio kreolų kalba",'da':u"Danų",'fa':u"Persų",'hi':u"Hindi",'fi':u"Suomių",'hu':u"Vengrų",'ja':u"Japonų",'zh-TW':u"Kinų tradicinė",'ko':u"Korėjos",'sv':u"Švedų",'ur':u"Urdu",'sk':u"Slovakų",'zh-CN':u"Kinų supaprastinta",'ms':u"Malajų",'sl':u"Slovėnų"},
'lv':{'el':u"Grieķu",'en':u"Angļu",'vi':u"Vjetnamiešu",'ca':u"Kataloniešu",'it':u"Itāliešu",'iw':u"Ivrits",'ar':u"Arābu",'cs':u"Čehu",'et':u"Igauņu",'id':u"Indonēziešu",'es':u"Spāņu",'ru':u"Krievu",'nl':u"Holandiešu",'pt':u"Portugāļu",'no':u"Norvēģu",'tr':u"Turku",'lv':u"Latviešu",'lt':u"Lietuviešu",'th':u"Taju",'ro':u"Rumāņu",'pl':u"Poļu",'fr':u"Franču",'bg':u"Bulgāru",'uk':u"Ukraiņu",'de':u"Vācu",'ht':u"Haitiešu",'da':u"Dāņu",'fa':u"Persiešu",'hi':u"Hindi",'fi':u"Somu",'hu':u"Ungāru",'ja':u"Japāņu",'zh-TW':u"Ķīniešu tradicionālā",'ko':u"Korejiešu",'sv':u"Zviedru",'ur':u"Urdu",'sk':u"Slovāku",'zh-CN':u"Ķīniešu vienkāršotā",'ms':u"Malajiešu",'sl':u"Slovēņu"},
'ms':{'el':u"Greek",'en':u"Inggeris",'vi':u"Vietnam",'ca':u"Catalan",'it':u"Itali",'iw':u"Hebrew",'ar':u"Arab",'cs':u"Czech",'et':u"Estonia",'id':u"Indonesia",'es':u"Sepanyol",'ru':u"Rusia",'nl':u"Belanda",'pt':u"Portugis",'no':u"Norway",'tr':u"Turki",'lv':u"Latvia",'lt':u"Lithuania",'th':u"Thai",'ro':u"Romania",'pl':u"Poland",'fr':u"Perancis",'bg':u"Bulgaria",'uk':u"Ukrainia",'de':u"Jerman",'ht':u"Haitian Creole",'da':u"Denmark",'fa':u"Parsi",'hi':u"Hindi",'fi':u"Finland",'hu':u"Hungary",'ja':u"Jepun",'zh-TW':u"Cina Tradisional",'ko':u"Korea",'sv':u"Swedish",'ur':u"Urdu",'sk':u"Slovak",'zh-CN':u"Cina Ringkas",'ms':u"Melayu",'sl':u"Slovenia"},
'nl':{'el':u"Grieks",'en':u"Engels",'vi':u"Vietnamees",'ca':u"Catalaans",'it':u"Italiaans",'iw':u"Hebreeuws",'ar':u"Arabisch",'cs':u"Tsjechisch",'et':u"Estisch",'id':u"Indonesisch",'es':u"Spaans",'ru':u"Russisch",'nl':u"Nederlands",'pt':u"Portugees",'no':u"Noors",'tr':u"Turks",'lv':u"Lets",'lt':u"Litouws",'th':u"Thais",'ro':u"Roemeens",'pl':u"Pools",'fr':u"Frans",'bg':u"Bulgaars",'uk':u"Oekraïens",'de':u"Duits",'ht':u"Haïtiaans",'da':u"Deens",'fa':u"Perzisch",'hi':u"Hindi",'fi':u"Fins",'hu':u"Hongaars",'ja':u"Japans",'zh-TW':u"Traditioneel Chinees",'ko':u"Koreaans",'sv':u"Zweeds",'ur':u"Urdu",'sk':u"Slowaaks",'zh-CN':u"Vereenvoudigd Chinees",'ms':u"Maleis",'sl':u"Sloveens"},
'no':{'el':u"Gresk",'en':u"Engelsk",'vi':u"Vietnamesisk",'ca':u"Katalansk",'it':u"Italiensk",'iw':u"Hebraisk",'ar':u"Arabisk",'cs':u"Tsjekkisk",'et':u"Estisk",'id':u"Indonesisk",'es':u"Spansk",'ru':u"Russisk",'nl':u"Nederlandsk",'pt':u"Portugisisk",'no':u"Norsk",'tr':u"Tyrkisk",'lv':u"Latvisk",'lt':u"Litauisk",'th':u"Thai",'ro':u"Rumensk",'pl':u"Polsk",'fr':u"Fransk",'bg':u"Bulgarsk",'uk':u"Ukrainsk",'de':u"Tysk",'ht':u"Haitisk Kreolsk",'da':u"Dansk",'fa':u"Persisk",'hi':u"Hindi",'fi':u"Finsk",'hu':u"Ungarsk",'ja':u"Japansk",'zh-TW':u"Kinesisk, tradisjonell",'ko':u"Koreansk",'sv':u"Svensk",'ur':u"Urdu",'sk':u"Slovakisk",'zh-CN':u"Kinesisk, forenklet",'ms':u"Malaysisk",'sl':u"Slovensk"},
'pl':{'el':u"Grecki",'en':u"Angielski",'vi':u"Wietnamski",'ca':u"Kataloński",'it':u"Włoski",'iw':u"Hebrajski",'ar':u"Arabski",'cs':u"Czeski",'et':u"Estoński",'id':u"Indonezyjski",'es':u"Hiszpański",'ru':u"Rosyjski",'nl':u"Holenderski",'pt':u"Portugalski",'no':u"Norweski",'tr':u"Turecki",'lv':u"Łotewski",'lt':u"Litewski",'th':u"Tajski",'ro':u"Rumuński",'pl':u"Polski",'fr':u"Francuski",'bg':u"Bułgarski",'uk':u"Ukraiński",'de':u"Niemiecki",'ht':u"Haitański",'da':u"Duński",'fa':u"Perski",'hi':u"Hindi",'fi':u"Fiński",'hu':u"Węgierski",'ja':u"Japoński",'zh-TW':u"Chiński tradycyjny",'ko':u"Koreański",'sv':u"Szwedzki",'ur':u"Urdu",'sk':u"Słowacki",'zh-CN':u"Chiński uproszczony",'ms':u"Malajski",'sl':u"Słoweński"},
'pt':{'el':u"Grego",'en':u"Inglês",'vi':u"Vietnamita",'ca':u"Catalão",'it':u"Italiano",'iw':u"Hebraico",'ar':u"Árabe",'cs':u"Tcheco",'et':u"Estoniano",'id':u"Indonésio",'es':u"Espanhol",'ru':u"Russo",'nl':u"Holandês",'pt':u"Português",'no':u"Norueguês",'tr':u"Turco",'lv':u"Letão",'lt':u"Lituano",'th':u"Tailandês",'ro':u"Romeno",'pl':u"Polonês",'fr':u"Francês",'bg':u"Búlgaro",'uk':u"Ucraniano",'de':u"Alemão",'ht':u"Haitiano",'da':u"Dinamarquês",'fa':u"Persa",'hi':u"Hindi",'fi':u"Finlandês",'hu':u"Húngaro",'ja':u"Japonês",'zh-TW':u"Chinês tradicional",'ko':u"Coreano",'sv':u"Sueco",'ur':u"Urdu",'sk':u"Eslovaco",'zh-CN':u"Chinês simplificado",'ms':u"Malaio",'sl':u"Esloveno"},
'ro':{'el':u"Greacă",'en':u"Engleză",'vi':u"Vietnameză",'ca':u"Catalană",'it':u"Italiană",'iw':u"Ebraică",'ar':u"Arabă",'cs':u"Cehă",'et':u"Estonă",'id':u"Indoneziană",'es':u"Spaniolă",'ru':u"Rusă",'nl':u"Olandeză",'pt':u"Portugheză",'no':u"Norvegiană",'tr':u"Turcă",'lv':u"Letonă",'lt':u"Lituaniană",'th':u"Thai",'ro':u"Română",'pl':u"Poloneză",'fr':u"Franceză",'bg':u"Bulgară",'uk':u"Ucraineană",'de':u"Germană",'ht':u"Creolă haitiană",'da':u"Daneză",'fa':u"Persană",'hi':u"Hindi",'fi':u"Finlandeză",'hu':u"Maghiară",'ja':u"Japoneză",'zh-TW':u"Chineză tradiţională",'ko':u"Coreeană",'sv':u"Suedeză",'ur':u"Urdu",'sk':u"Slovacă",'zh-CN':u"Chineză simplificată",'ms':u"Malaieză",'sl':u"Slovenă"},
'ru':{'el':u"греческий",'en':u"английский",'vi':u"вьетнамский",'ca':u"каталанский",'it':u"итальянский",'iw':u"иврит",'ar':u"арабский",'cs':u"чешский",'et':u"эстонский",'id':u"индонезийский",'es':u"испанский",'ru':u"русский",'nl':u"нидерландский",'pt':u"португальский",'no':u"норвежский",'tr':u"турецкий",'lv':u"латышский",'lt':u"литовский",'th':u"тайский",'ro':u"румынский",'pl':u"польский",'fr':u"французский",'bg':u"болгарский",'uk':u"украинский",'de':u"немецкий",'ht':u"Гаитянский",'da':u"датский",'fa':u"персидский",'hi':u"хинди",'fi':u"финский",'hu':u"венгерский",'ja':u"японский",'zh-TW':u"китайский традиционный",'ko':u"корейский",'sv':u"шведский",'ur':u"урду",'sk':u"словацкий",'zh-CN':u"китайский упрощенный",'ms':u"малайский",'sl':u"словенский"},
'sk':{'el':u"Gréčtina",'en':u"Angličtina",'vi':u"Xietnamčina",'ca':u"Katalánčina",'it':u"Taliančina",'iw':u"Hebrejčina",'ar':u"Arabčina",'cs':u"Čeština",'et':u"Estónčina",'id':u"Indonézština",'es':u"Španielčina",'ru':u"Ruština",'nl':u"Holandčina",'pt':u"Portugalčina",'no':u"Nórčina",'tr':u"Turečtina",'lv':u"Lotyština",'lt':u"Litovčina",'th':u"Thajčina",'ro':u"Rumunčina",'pl':u"Poľština",'fr':u"Francúzština",'bg':u"Bulharčina",'uk':u"Ukrajinčina",'de':u"Nemčina",'ht':u"Haitská kreolčina",'da':u"Dánčina",'fa':u"Perzština",'hi':u"Hindčina",'fi':u"Fínčina",'hu':u"Maďarčina",'ja':u"Japončina",'zh-TW':u"Čínština (tradičná)",'ko':u"Kórejčina",'sv':u"Švédčina",'ur':u"Urdčina",'sk':u"Slovenčina",'zh-CN':u"Čínština (zjednodušená)",'ms':u"Malajčina",'sl':u"Slovinčina"},
'sl':{'el':u"Grščina",'en':u"Angleščina",'vi':u"Vietnamščina",'ca':u"Katalonščina",'it':u"Italijanščina",'iw':u"Hebrejščina",'ar':u"Arabščina",'cs':u"Češčina",'et':u"Estonščina",'id':u"Indonezijščina",'es':u"Španščina",'ru':u"Ruščina",'nl':u"Nizozemščina",'pt':u"Portugalščina",'no':u"Norveščina",'tr':u"Turščina",'lv':u"Latvijščina",'lt':u"Litovščina",'th':u"Tajščina",'ro':u"Romunščina",'pl':u"Poljščina",'fr':u"Francoščina",'bg':u"Bolgarščina",'uk':u"Ukrajinščina",'de':u"Nemščina",'ht':u"Kreolščina (Haiti)",'da':u"Danščina",'fa':u"Perzijščina",'hi':u"Hindijščina",'fi':u"Finščina",'hu':u"Madžarščina",'ja':u"Japonščina",'zh-TW':u"Tradicionalna kitajščina",'ko':u"Korejščina",'sv':u"Švedščina",'ur':u"Urdu",'sk':u"Slovaščina",'zh-CN':u"Poenostavljena kitajščina",'ms':u"Malajščina",'sl':u"Slovenščina"},
'sv':{'el':u"Grekiska",'en':u"Engelska",'vi':u"Vietnamesiska",'ca':u"Katalanska",'it':u"Italienska",'iw':u"Hebreiska",'ar':u"Arabiska",'cs':u"Tjeckiska",'et':u"Estniska",'id':u"Indonesiska",'es':u"Spanska",'ru':u"Ryska",'nl':u"Nederländska",'pt':u"Portugisiska",'no':u"Norska",'tr':u"Turkiska",'lv':u"Lettiska",'lt':u"Litauiska",'th':u"Thai",'ro':u"Rumänska",'pl':u"Polska",'fr':u"Franska",'bg':u"Bulgariska",'uk':u"Ukrainska",'de':u"Tyska",'ht':u"Haitiska",'da':u"Danska",'fa':u"Persiska",'hi':u"Hindi",'fi':u"Finska",'hu':u"Ungerska",'ja':u"Japanska",'zh-TW':u"Kinesiska, traditionell",'ko':u"Koreanska",'sv':u"Svenska",'ur':u"Urdu",'sk':u"Slovakiska",'zh-CN':u"Kinesiska, förenklad",'ms':u"Malajiska",'sl':u"Slovenska"},
'th':{'el':u"กรีก",'en':u"อังกฤษ",'vi':u"เวียดนาม",'ca':u"คาตาลัน",'it':u"อิตาลี",'iw':u"เฮบรู",'ar':u"อาหรับ",'cs':u"เชก",'et':u"เอสโทเนีย",'id':u"อินโดนีเซีย",'es':u"สเปน",'ru':u"รัสเซีย",'nl':u"ดัทช์",'pt':u"โปรตุเกส",'no':u"นอร์เวย์",'tr':u"ตุรกี",'lv':u"ลัตเวีย",'lt':u"ลิธัวเนีย",'th':u"ไทย",'ro':u"โรมาเนีย",'pl':u"โปแลนด์",'fr':u"ฝรั่งเศส",'bg':u"เบลเยียม",'uk':u"ยูเครน",'de':u"เยอรมัน",'ht':u"ชาวเฮติ",'da':u"เดนมาร์ก",'fa':u"เปอร์เซีย",'hi':u"ฮินดี",'fi':u"ฟินแลนด์",'hu':u"ฮังการี",'ja':u"ญี่ปุ่น",'zh-TW':u"จีนดั้งเดิม",'ko':u"เกาหลี",'sv':u"สวีเดน",'ur':u"เออร์ดู",'sk':u"สโลวัค",'zh-CN':u"จีนประยุกต์",'ms':u"มาเลย์",'sl':u"สโลวีเนีย"},
'tr':{'el':u"Yunanca",'en':u"İngilizce",'vi':u"Vietnam dili",'ca':u"Katalanca",'it':u"İtalyanca",'iw':u"İbranice",'ar':u"Arapça",'cs':u"Çekçe",'et':u"Estonca",'id':u"Endonezya dili",'es':u"İspanyolca",'ru':u"Rusça",'nl':u"Hollanda dili",'pt':u"Portekizce",'no':u"Norveç dili",'tr':u"Türkçe",'lv':u"Letonca",'lt':u"Litvanca",'th':u"Tay dili",'ro':u"Rumence",'pl':u"Lehçe",'fr':u"Fransızca",'bg':u"Bulgarca",'uk':u"Ukrayna dili",'de':u"Almanca",'ht':u"Haiti Creole dili",'da':u"Danca",'fa':u"Farsça",'hi':u"Hintçe",'fi':u"Fince",'hu':u"Macarca",'ja':u"Japonca",'zh-TW':u"Geleneksel Çince",'ko':u"Kore dili",'sv':u"İsveç dili",'ur':u"Urduca",'sk':u"Slovakça",'zh-CN':u"Basitleştirilmiş Çince",'ms':u"Malay dili",'sl':u"Slovence"},
'uk':{'el':u"грецька",'en':u"англійська",'vi':u"в'єтнамська",'ca':u"каталанська",'it':u"італійська",'iw':u"іврит",'ar':u"арабська",'cs':u"чеська",'et':u"естонська",'id':u"індонезійська",'es':u"іспанська",'ru':u"російська",'nl':u"нідерландська",'pt':u"португальська",'no':u"норвезька",'tr':u"турецька",'lv':u"латиська",'lt':u"литовська",'th':u"тайська",'ro':u"румунська",'pl':u"польська",'fr':u"французька",'bg':u"болгарська",'uk':u"українська",'de':u"німецька",'ht':u"гаїтянський креольська",'da':u"датська",'fa':u"перська",'hi':u"хінді",'fi':u"фінська",'hu':u"угорська",'ja':u"японська",'zh-TW':u"китайська (трад. письмо)",'ko':u"корейська",'sv':u"шведська",'ur':u"урду",'sk':u"словацька",'zh-CN':u"китайська (спрощ. письмо)",'ms':u"малайська",'sl':u"словенська"},
'ur':{'el':u"یونانی",'en':u"انگریزی",'vi':u"ویتنامی",'ca':u"کیٹلن",'it':u"اطالوی",'iw':u"عبرانی",'ar':u"عربی",'cs':u"چیک",'et':u"اسٹونیائی",'id':u"انڈونیشیائی",'es':u"ہسپانوی",'ru':u"روسی",'nl':u"ڈچ",'pt':u"پرتگالی",'no':u"نارویائی",'tr':u"ترکی",'lv':u"لاطویائی",'lt':u"لتھوانیائی",'th':u"تھائی",'ro':u"رومانیائی",'pl':u"پولش",'fr':u"فرانسیسی",'bg':u"بلغاریائی",'uk':u"یوکرینی",'de':u"جرمن",'ht':u"Haitian Creole",'da':u"ڈینش",'fa':u"فارسی",'hi':u"ہندی",'fi':u"فینش",'hu':u"ہنگیرین",'ja':u"جاپانی",'zh-TW':u"چینی روایتی",'ko':u"کوریائی",'sv':u"سویڈش",'ur':u"اردو",'sk':u"سلوواک",'zh-CN':u"چینی سہل",'ms':u"ملے",'sl':u"سلووینیائی"},
'vi':{'el':u"Tiếng Hy Lạp",'en':u"Tiếng Anh",'vi':u"Tiếng Việt",'ca':u"Tiếng Catalan",'it':u"Tiếng Ý",'iw':u"Tiếng Do Thái",'ar':u"Tiếng Ả Rập",'cs':u"Tiếng Séc",'et':u"Tiếng Estonia",'id':u"Tiếng Indo",'es':u"Tiếng Tây Ban Nha",'ru':u"Tiếng Nga",'nl':u"Tiếng Hà Lan",'pt':u"Tiếng Bồ Đào Nha",'no':u"Tiếng Na Uy",'tr':u"Tiếng Thổ Nhĩ Kỳ",'lv':u"Tiếng Latvia",'lt':u"Tiếng Lithuania",'th':u"Tiếng Thái",'ro':u"Tiếng Rumani",'pl':u"Tiếng Ba Lan",'fr':u"Tiếng Pháp",'bg':u"Tiếng Bungary",'uk':u"Tiếng Ukraina",'de':u"Tiếng Đức",'ht':u"Tiếng Haiti Creol",'da':u"Tiếng Đan Mạch",'fa':u"Tiếng Ba Tư",'hi':u"Tiếng Hindi",'fi':u"Tiếng Phần Lan",'hu':u"Tiếng Hungary",'ja':u"Tiếng Nhật",'zh-TW':u"Tiếng Hoa Phồn thể",'ko':u"Tiếng Hàn",'sv':u"Tiếng Thụy Điển",'ur':u"Tiếng Urdu",'sk':u"Tiếng Slovak",'zh-CN':u"Tiếng Hoa Giản thể",'ms':u"Tiếng Malay",'sl':u"Tiếng Slovenia"},
'zh-CN':{'el':u"希腊语",'en':u"英语",'vi':u"越南语",'ca':u"加泰隆语",'it':u"意大利语",'iw':u"希伯来语",'ar':u"阿拉伯语",'cs':u"捷克语",'et':u"爱沙尼亚语",'id':u"印度尼西亚语",'es':u"西班牙语",'ru':u"俄语",'nl':u"荷兰语",'pt':u"葡萄牙语",'no':u"挪威语",'tr':u"土耳其语",'lv':u"拉脱维亚语",'lt':u"立陶宛语",'th':u"泰语",'ro':u"罗马尼亚语",'pl':u"波兰语",'fr':u"法语",'bg':u"保加利亚语",'uk':u"乌克兰语",'de':u"德语",'ht':u"海地克里奥尔语",'da':u"丹麦语",'fa':u"波斯语",'hi':u"印地语",'fi':u"芬兰语",'hu':u"匈牙利语",'ja':u"日语",'zh-TW':u"繁体中文",'ko':u"朝鲜语",'sv':u"瑞典语",'ur':u"乌尔都语",'sk':u"斯洛伐克语",'zh-CN':u"简体中文",'ms':u"马来语",'sl':u"斯洛文尼亚语"},
'zh-TW':{'el':u"希臘文",'en':u"英文",'vi':u"越南文",'ca':u"卡達隆尼亞文",'it':u"義大利文",'iw':u"希伯來文",'ar':u"阿拉伯文",'cs':u"捷克文",'et':u"愛沙尼亞文",'id':u"印尼文",'es':u"西班牙文",'ru':u"俄文",'nl':u"荷蘭文",'pt':u"葡萄牙文",'no':u"挪威文",'tr':u"土耳其文",'lv':u"拉脫維亞文",'lt':u"立陶宛文",'th':u"泰文",'ro':u"羅馬尼亞文",'pl':u"波蘭文",'fr':u"法文",'bg':u"保加利亞文",'uk':u"烏克蘭文",'de':u"德文",'ht':u"海地克里奧爾語",'da':u"丹麥文",'fa':u"波斯文",'hi':u"印度文",'fi':u"芬蘭文",'hu':u"匈牙利文",'ja':u"日文",'zh-TW':u"繁體中文",'ko':u"韓文",'sv':u"瑞典文",'ur':u"烏都文",'sk':u"斯洛伐克文",'zh-CN':u"簡體中文",'ms':u"馬來文",'sl':u"斯洛維尼亞文"}
}

def locale_to_gf(name):
	print name,name[2],name[:2]
	if name[:3] in ('nb_','nn_','no_'):
		return 'no'
	elif name[:5] == 'zh_TW':
		return 'zh-TW'
	elif name[:3] == 'zh_':
		return 'zh-CN'
	elif name[2] in ('_','@') and name[:2] in _language_names:
		return name[:2]
	else:
		return 'en'
	

def locale_to_ms(name):
	if name[:3] in ('nb_','nn_','no_'):
		return 'no'
	elif name[:5] == 'zh_TW':
		return 'zh-CHT'
	elif name[:3] == 'zh_':
		return 'zh-CHS'
	elif name[:3] == 'he':
		return 'iw'
	elif name[2] in ('_','@') and name[:2] in _language_names:
		return name[:2]
	else:
		return 'en'
	


def _lsort(a,b):
        a=a[0].encode('utf-8')
        b=b[0].encode('utf-8')
        return locale.strcoll(a,b)

def get_gf_language_list(loclang):
	loclang=locale_to_gf(loclang)
	dct=_language_names[loclang]
	lista=list((dct[a],a) for a in dct)
	lista.sort(_lsort)
	return lista


